Bug 455844 - Crash when opening the color adjustment filter on a filter mask
Summary: Crash when opening the color adjustment filter on a filter mask
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Selection (show other bugs)
Version: 5.0.6
Platform: macOS (DMG) macOS
: NOR crash
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-23 12:33 UTC by Halla Rempt
Modified: 2022-06-30 11:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2022-06-23 12:33:16 UTC
* create a 4000x4000 8 bit sRGB image
* make a selection
* show the global selection mask (which will get selected)
* press ctrl-m/cmd-m to open the color adjustnent filter

On at least Linux on my desktop and macOS on a 2015 macbook pro I have seen the crash.

Backtrace:

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libkritaimage.17.dylib        	0x0000000109f3925e 0x109f1f000 + 107102
1   libkritaimage.17.dylib        	0x0000000109f3940e KisTile::KisTile(int, int, KisTileData*, KisMementoManager*) + 174
2   libkritaimage.17.dylib        	0x0000000109f486d1 0x109f1f000 + 169681
3   libkritaimage.17.dylib        	0x0000000109f543ce 0x109f1f000 + 218062
4   libkritaimage.17.dylib        	0x0000000109f56294 0x109f1f000 + 225940
5   libkritaimage.17.dylib        	0x0000000109f561ec 0x109f1f000 + 225772
6   libkritaimage.17.dylib        	0x000000010a14951f 0x109f1f000 + 2270495
7   libkritaimage.17.dylib        	0x000000010a148e21 KisPaintDevice::calculateExactBounds(bool) const + 433
8   libkritaimage.17.dylib        	0x000000010a15b1ee 0x109f1f000 + 2343406
9   libkritaimage.17.dylib        	0x000000010a148ab3 KisPaintDevice::exactBounds() const + 99
10  libkritaui.17.dylib           	0x0000000109855324 KisStatusBar::updateSelectionToolTip() + 84
11  libkritaui.17.dylib           	0x000000010984c9f8 KisSelectionManager::updateStatusBar() + 72
12  libkritaui.17.dylib           	0x000000010984c8de KisSelectionManager::updateGUI() + 606
13  libkritaui.17.dylib           	0x0000000109b2bbe5 KisViewManager::guiUpdateTimeout() + 37
14  org.qt-project.QtCore         	0x000000010c8986da QMetaObject::activate(QObject*, int, int, void**) + 2138
15  libkritaglobal.17.dylib       	0x000000010b0e0bcc KisSignalCompressor::tryEmitOnTick(bool) + 188
16  libkritaglobal.17.dylib       	0x000000010b0e0c28 KisSignalCompressor::slotTimerExpired() + 56
17  org.qt-project.QtCore         	0x000000010c8986da QMetaObject::activate(QObject*, int, int, void**) + 2138
18  org.qt-project.QtCore         	0x000000010c89fa22 QTimer::timerEvent(QTimerEvent*) + 98
19  org.qt-project.QtCore         	0x000000010c891694 QObject::event(QEvent*) + 100
20  org.qt-project.QtWidgets      	0x000000010b39a7b9 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 265
21  org.qt-project.QtWidgets      	0x000000010b39bae0 QApplication::notify(QObject*, QEvent*) + 480
22  libkritaui.17.dylib           	0x0000000109aa3cd2 KisApplication::notify(QObject*, QEvent*) + 210
23  org.qt-project.QtCore         	0x000000010c869f57 QCoreApplication::notifyInternal2(QObject*, QEvent*) + 167
24  org.qt-project.QtCore         	0x000000010c8bf91a QTimerInfoList::activateTimers() + 1002
25  libqcocoa.dylib               	0x000000010f1d6855 0x10f1a2000 + 215125
26  com.apple.CoreFoundation      	0x00007fff3549c683 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
27  com.apple.CoreFoundation      	0x00007fff3549c629 __CFRunLoopDoSource0 + 108
28  com.apple.CoreFoundation      	0x00007fff3547ffeb __CFRunLoopDoSources0 + 195
29  com.apple.CoreFoundation      	0x00007fff3547f5b5 __CFRunLoopRun + 1189
30  com.apple.CoreFoundation      	0x00007fff3547eebe CFRunLoopRunSpecific + 455
31  com.apple.HIToolbox           	0x00007fff346de1ab RunCurrentEventLoopInMode + 292
32  com.apple.HIToolbox           	0x00007fff346ddee5 ReceiveNextEventCommon + 603
33  com.apple.HIToolbox           	0x00007fff346ddc76 _BlockUntilNextEventMatchingListInModeWithFilter + 64
34  com.apple.AppKit              	0x00007fff32a7679d _DPSNextEvent + 1135
35  com.apple.AppKit              	0x00007fff32a7548b -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1361
36  com.apple.AppKit              	0x00007fff32a6f5a8 -[NSApplication run] + 699
37  libqcocoa.dylib               	0x000000010f1d73be 0x10f1a2000 + 218046
38  org.qt-project.QtCore         	0x000000010c865d37 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 471
39  org.qt-project.QtCore         	0x000000010c86a5b2 QCoreApplication::exec() + 130
40  org.krita                     	0x0000000108f9cf92 0x108f8c000 + 69522
41  libdyld.dylib                 	0x00007fff613fa3d5 start + 1
Comment 1 Protoniv 2022-06-23 12:50:09 UTC
Hi,
Here is my crash info on Windows 10, 5.2.0-prealpha-f01f8837d0.zip
document 2480x3508px

-------------------

Error occurred on Thursday, June 23, 2022 at 20:48:24.

krita.exe caused an Access Violation at location 00007FFEBEDCF9E5 in module libkritaimage.dll Reading from location 0000000000000040.

AddrPC           Params
00007FFEBEDCF9E5 0000000000000000 0000000000000060 0000023EDD796B70  libkritaimage.dll!KisTile::init+0x65
00007FFEBEDCFB75 0000023EB6F64E90 00007FFEEFAB5BA1 0000000000000020  libkritaimage.dll!KisTile::KisTile+0x75
00007FFEBEDDF66E 0000000000000040 00007FFEED29FDE6 0000000000000000  libkritaimage.dll!KisTileHashTableTraits2<KisTile>::getReadOnlyTileLazy+0x14e
00007FFEBEDEB27C 0000000000000020 0000000000000000 0000000000000000  libkritaimage.dll!KisTiledDataManager::getTilesPair+0x6c
00007FFEBEDECFD4 0000023ECB127FD0 00007FFE00000000 000000F18976B500  libkritaimage.dll!KisRandomAccessor2::fetchTileData+0x44
00007FFEBEDECF33 0000023EC0E4E690 000000F18976B5D0 0000023ECAC2A2F0  libkritaimage.dll!KisRandomAccessor2::moveTo+0x1a3
00007FFEBF0B1080 0000023E69110000 00007FFE00000000 0000000000000018  libkritaimage.dll!Impl::calculateExactBoundsImpl<Impl::CheckFullyTransparent>+0x1c0
00007FFEBF0A8AAB 0000023EB4F4CD10 00000000B52D1200 00007FFEB5EAAB78  libkritaimage.dll!KisPaintDevice::calculateExactBounds+0x26b
00007FFEBF0B5674 0000023ECA8DABF0 000000F18976B728 000000F18976B7D8  libkritaimage.dll!KisPaintDeviceCache::ExactBoundsCache::calculateNewValue+0x14
00007FFEBF0BCEF6 000000F18976B7D8 00007FFEBF967C90 0000023E6AB2B398  libkritaimage.dll!KisLockFreeCacheWithModeConsistency<QRect, bool>::getValue+0x76
00007FFEBF0A87B6 0000023E6AB2B398 0000023EBB968260 0000000000000001  libkritaimage.dll!KisPaintDevice::exactBounds+0x66
00007FFEBF0D109D 00000000BB5B8600 0000023E6AB2B398 0000023E6AB2B398  libkritaimage.dll!KisPixelSelection::selectedExactRect+0xd
00007FFEBF0DB725 0000000000000000 0000000000000000 0000023EC0CBB880  libkritaimage.dll!KisSelection::selectedExactRect+0x15
00007FFEBF6621DD 0000000000000000 00007FFEBEFC0071 0000023EB53597F0  libkritaui.dll!KisStatusBar::updateSelectionToolTip+0x4d
00007FFEBF65A704 0000023EB6AC5300 0000023EDDD3C960 0000023EBB968260  libkritaui.dll!KisSelectionManager::updateStatusBar+0x44
00007FFEBF65A579 0000023EB5AB7000 0000023EAF3D10E0 0000023EB6A939C0  libkritaui.dll!KisSelectionManager::updateGUI+0x109
00007FFEBF97F184 0000023EB7167B90 0000000000000001 0000023EB715DC90  libkritaui.dll!KisViewManager::guiUpdateTimeout+0x24
00007FFEB5B20868 0000000000000001 00007FFE00030000 00007FFEAD0AC3A0  Qt5Core.dll!QMetaObject::activate+0x828
00007FFEC2DF4797 0000000000000000 00007FFEB593BF4A 000000F18976BBB8  libkritaglobal.dll!KisSignalCompressor::tryEmitOnTick+0xb7
00007FFEC2DF47F3 0000023E6AB0F200 00007FFEB5B1AB04 00000066DC9CCBBD  libkritaglobal.dll!KisSignalCompressor::slotTimerExpired+0x33
00007FFEB5B20868 0000000000000000 0000034E02A21CB1 0000000000000207  Qt5Core.dll!QMetaObject::activate+0x828
00007FFEB5B280D4 00007FFEB5B453F0 000000F18976BDD8 0000000000030000  Qt5Core.dll!QTimer::timerEvent+0x54
00007FFEB5B1A8BD 000000F18976F748 0000023E6AD627B0 0000023E6AB0F200  Qt5Core.dll!QObject::event+0x4d
00007FFEBDAEC716 00007FFEEFB2CC20 00000000001603C0 0000000000000113  Qt5Widgets.dll!QApplicationPrivate::notify_helper+0x106
00007FFEBDAED92E 0000000000000000 0000000000000038 000000F18976C088  Qt5Widgets.dll!QApplication::notify+0x1ee
00007FFEBF8EB5F8 0000023E69695730 00007FFEEDAFF9A7 0000023E6AD5AC30  libkritaui.dll!KisApplication::notify+0xa8
00007FFEB5AF3323 0000000000000113 00007FFEEDAFF8E5 0000000000000000  Qt5Core.dll!QCoreApplication::notifyInternal2+0x93
00007FFEB5B453AD 0000000000000000 00000000001603C0 0000000000000000  Qt5Core.dll!QEventDispatcherWin32Private::sendTimerEvent+0xcd
00007FFEB5B450C8 0000000000000000 0000000000000001 0000000000000001  Qt5Core.dll!qt_internal_proc+0x288
00007FFEEDAFE858 0000000000003DFF 00007FFEB5B44E40 00000000001603C0  USER32.dll!UserCallWinProcCheckWow+0x2f8
00007FFEEDAFE299 00007FFEB5B44E40 0000000000000000 00000000AF561601  USER32.dll!DispatchMessageWorker+0x249
00007FFEB5B4659B 0000023E6AB0F200 0000023EB6B8A2E0 000000F18976F688  Qt5Core.dll!QEventDispatcherWin32::processEvents+0x7cb
00007FFEB5533795 0000000000000000 000000F18976F688 000000F18976F730  qwindows.dll!QWindowsGuiEventDispatcher::processEvents+0x15
00007FFEB5AF0175 0000023E00000002 0000023E00000002 0000023E691B71F0  Qt5Core.dll!QEventLoop::exec+0x1e5
00007FFEB5AF399D 000000F18976F710 00007FFE00000000 000000F18976F700  Qt5Core.dll!QCoreApplication::exec+0x6d
00007FFEC22757C7 0000000000000000 00007FF683805110 0000000000000000  krita.dll!krita_main+0x4397
00007FF6838013D7 0000000000000000 0000000000000000 0000000000000000  krita.exe!__tmainCRTStartup+0x277
00007FF683801156 0000000000000000 0000000000000000 0000000000000000  krita.exe!WinMainCRTStartup+0x16
00007FFEEE667034 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!BaseThreadInitThunk+0x14
00007FFEEFAE2651 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!RtlUserThreadStart+0x21

00007FF683800000-00007FF683846000 krita.exe   	5.2.0.0
00007FFEEFA90000-00007FFEEFC85000 ntdll.dll   	6.2.19041.1466
00007FFEEE650000-00007FFEEE70E000 KERNEL32.DLL	6.2.19041.1503
00007FFEED810000-00007FFEEDAD8000 KERNELBASE.dll	6.2.19041.1503
00007FFEED290000-00007FFEED390000 ucrtbase.dll	6.2.19041.789
00007FFEC2270000-00007FFEC2920000 krita.dll
00007FFEBF410000-00007FFEBFCC6000 libkritaui.dll
00007FFEEDAF0000-00007FFEEDC90000 USER32.dll  	6.2.19041.1503
00007FFEED4B0000-00007FFEED4D2000 win32u.dll  	6.2.19041.1526
00007FFEEEC90000-00007FFEEECBB000 GDI32.dll   	6.2.19041.1202
00007FFEED510000-00007FFEED61D000 gdi32full.dll	6.2.19041.1466
00007FFEED1F0000-00007FFEED28D000 msvcp_win.dll	6.2.19041.789
00007FFEBEDC0000-00007FFEBF407000 libkritaimage.dll
00007FFEC3950000-00007FFEC3A3E000 libkritaresources.dll
00007FFEC2DC0000-00007FFEC2EBC000 libkritaglobal.dll
00007FFEEDC90000-00007FFEEE3D4000 SHELL32.dll 	6.2.19041.1503
00007FFEEE440000-00007FFEEE56A000 ole32.dll   	6.2.19041.1202
00007FFEEF310000-00007FFEEF435000 RPCRT4.dll  	6.2.19041.1466
00007FFEEE8D0000-00007FFEEEC25000 combase.dll 	6.2.19041.1348
00007FFEC3B10000-00007FFEC3B62000 libKF5I18n.dll
00007FFEC49B0000-00007FFEC4A00000 libKF5ConfigCore.dll
00007FFEBDAE0000-00007FFEBE025000 Qt5Widgets.dll	5.12.12.0
00007FFEB5ED0000-00007FFEB658E000 Qt5Gui.dll  	5.12.12.0
00007FFEB5920000-00007FFEB5EC6000 Qt5Core.dll 	5.12.12.0
00007FFEC2140000-00007FFEC2266000 libc++.dll
00007FFEEF4F0000-00007FFEEF55B000 WS2_32.dll  	6.2.19041.546
00007FFEEF700000-00007FFEEF7AE000 ADVAPI32.dll	6.2.19041.1466
00007FFEE2460000-00007FFEE246E000 libunwind.dll
00007FFEEE830000-00007FFEEE8CE000 msvcrt.dll  	7.0.19041.546
00007FFEE01E0000-00007FFEE01FD000 libkritaimpex.dll
00007FFEEF1B0000-00007FFEEF24C000 sechost.dll 	6.2.19041.1466
00007FFEE03A0000-00007FFEE03AB000 libkritacolor.dll
00007FFEC3910000-00007FFEC3950000 libpng16.dll
00007FFEC3AC0000-00007FFEC3B0D000 libkritalibbrush.dll
00007FFEC2D00000-00007FFEC2DB6000 Qt5Multimedia.dll	5.12.12.0
00007FFEC2060000-00007FFEC2140000 libkritawidgets.dll
00007FFEC38D0000-00007FFEC3901000 libKF5Completion.dll
00007FFEC37F0000-00007FFEC382B000 libkritaresourcewidgets.dll
00007FFEC1DC0000-00007FFEC1FA5000 libkritaflake.dll
00007FFEB6A60000-00007FFEB6DC0000 libkritapigment.dll
00007FFEC36C0000-00007FFEC370C000 libHalf-2_5.dll
00007FFEDADF0000-00007FFEDAE0C000 libkritacommand.dll
00007FFEC0630000-00007FFEC076E000 libkritawidgetutils.dll
00007FFEC3680000-00007FFEC36B1000 libkritametadata.dll
00007FFEC2020000-00007FFEC2054000 libKF5ItemViews.dll
00007FFEDA220000-00007FFEDA239000 libkritastore.dll
00007FFED43B0000-00007FFED43CB000 libKF5GuiAddons.dll
00007FFEC37C0000-00007FFEC37E1000 libKF5ConfigGui.dll
00007FFEBECC0000-00007FFEBEDBF000 libKF5WidgetsAddons.dll
00007FFEC1FF0000-00007FFEC2012000 libkritaplugin.dll
00007FFEC1D40000-00007FFEC1DC0000 libKF5CoreAddons.dll
00007FFEE01D0000-00007FFEE01DA000 libkritaversion.dll
00007FFEC0850000-00007FFEC0892000 Qt5Xml.dll  	5.12.12.0
00007FFEBFED0000-00007FFEBFF1E000 Qt5Svg.dll  	5.12.12.0
00007FFEBEB70000-00007FFEBECBC000 Qt5Network.dll	5.12.12.0
00007FFEED6B0000-00007FFEED806000 CRYPT32.dll 	6.2.19041.1320
00007FFEC1D10000-00007FFEC1D40000 libquazip5.dll
00007FFEBFE90000-00007FFEBFEC7000 Qt5Sql.dll  	5.12.12.0
00007FFEBE8F0000-00007FFEBE96E000 libkritapsdutils.dll
00007FFEBD940000-00007FFEBDAD2000 libfftw3.dll
00007FFEBFE60000-00007FFEBFE85000 intl.dll    	0.19.0.0
00007FFEEA0D0000-00007FFEEA16E000 UxTheme.dll 	6.2.19041.1266
00007FFEEA200000-00007FFEEA22F000 dwmapi.dll  	6.2.19041.746
00007FFEBEA60000-00007FFEBEA81000 libzlib.dll 	1.2.12.0
00007FFEE0610000-00007FFEE0629000 NETAPI32.dll	6.2.19041.1466
00007FFEE1100000-00007FFEE110A000 VERSION.dll 	6.2.19041.546
00007FFEED060000-00007FFEED08E000 USERENV.dll 	6.2.19041.572
00007FFED8500000-00007FFED8527000 WINMM.dll   	6.2.19041.546
00007FFEBE8A0000-00007FFEBE8EE000 Qt5PrintSupport.dll	5.12.12.0
00007FFED0160000-00007FFED017F000 libKF5WindowSystem.dll
00007FFEEE570000-00007FFEEE64A000 comdlg32.dll	6.2.19041.906
00007FFEEF5C0000-00007FFEEF66D000 shcore.dll  	6.2.19041.1387
00007FFEEF560000-00007FFEEF5B5000 SHLWAPI.dll 	6.2.19041.1023
00007FFEB5660000-00007FFEB591A000 libcrypto-1_1-x64.dll	1.1.1.12
00007FFEEC630000-00007FFEEC6FB000 DNSAPI.dll  	6.2.19041.1320
00007FFEBE810000-00007FFEBE89E000 libssl-1_1-x64.dll	1.1.1.12
00007FFEEC5F0000-00007FFEEC62B000 IPHLPAPI.DLL	6.2.19041.546
00007FFEE0190000-00007FFEE019F000 iconv.dll
00007FFED8A00000-00007FFED8A95000 WINSPOOL.DRV	6.2.19041.1288
00007FFEBD660000-00007FFEBD710000 COMCTL32.dll	5.82.19041.1110
00007FFED84E0000-00007FFED84FD000 MPR.dll     	6.2.19041.546
00007FFEEC700000-00007FFEEC70C000 NETUTILS.DLL	6.2.19041.546
00007FFEEC720000-00007FFEEC764000 LOGONCLI.DLL	6.2.19041.1503
00007FFEE0820000-00007FFEE0848000 SRVCLI.DLL  	6.2.19041.1466
00007FFEE1890000-00007FFEE18A9000 SAMCLI.DLL  	6.2.19041.1466
00007FFEECB60000-00007FFEECB6C000 CRYPTBASE.DLL	6.2.19041.546
00007FFEEF440000-00007FFEEF470000 IMM32.DLL   	6.2.19041.546
00007FFEEF300000-00007FFEEF308000 NSI.dll     	6.2.19041.610
00007FFEED0E0000-00007FFEED0FF000 profapi.dll 	6.2.19041.844
00007FFEEA850000-00007FFEEAFE4000 windows.storage.dll	6.2.19041.1503
00007FFEECBF0000-00007FFEECC1E000 Wldp.dll    	6.2.19041.1320
00007FFEB54B0000-00007FFEB565F000 qwindows.dll	5.12.12.0
00007FFEEF7B0000-00007FFEEF87D000 OLEAUT32.dll	6.2.19041.985
00007FFEEB5D0000-00007FFEEB5E4000 WTSAPI32.dll	6.2.19041.546
00007FFEEBA20000-00007FFEEBA32000 kernel.appcore.dll	6.2.19041.546
00007FFEED620000-00007FFEED6A2000 bcryptPrimitives.dll	6.2.19041.1415
00007FFEC1400000-00007FFEC15D0000 d3d9.dll    	6.2.19041.1387
00007FFEED4E0000-00007FFEED507000 bcrypt.dll  	6.2.19041.1023
00007FFEEE710000-00007FFEEE826000 MSCTF.dll   	6.2.19041.1503
00007FFEB6930000-00007FFEB6A55000 opengl32.dll	6.2.19041.1081
00007FFEBEA30000-00007FFEBEA5C000 GLU32.dll   	6.2.19041.1081
00007FFEEF250000-00007FFEEF2F9000 clbcatq.dll 	2001.12.10941.16384
00007FFEACA70000-00007FFEAD786000 ig8icd64.dll	20.19.15.5171
00007FFEE24D0000-00007FFEE2F0F000 igdusc64.dll	20.19.15.5171
00007FFEE4520000-00007FFEE455B000 dxcore.dll  	6.2.19041.546
00007FFEED1A0000-00007FFEED1EE000 cfgmgr32.dll	6.2.19041.1151
00007FFEEC770000-00007FFEEC7BB000 powrprof.dll	6.2.19041.546
00007FFEEC5D0000-00007FFEEC5E2000 UMPDC.dll
00007FFEBE090000-00007FFEBE0C9000 libEGL.DLL
00007FFEAC470000-00007FFEACA64000 libGLESv2.dll
00007FFEEBA90000-00007FFEEBB84000 dxgi.dll    	6.2.19041.1266
00007FFEE9400000-00007FFEE95E5000 dcomp.dll   	6.2.19041.1387
00007FFEBD8F0000-00007FFEBD93E000 wintab32.dll	8.0.2016.329
00007FFEEECC0000-00007FFEEF132000 SETUPAPI.dll	6.2.19041.1503
00007FFEEAFF0000-00007FFEEAFFD000 HID.DLL     	6.2.19041.546
0000000180000000-000000018004B000 MenuWnd.dll 	2.0.2011.1011
00007FFEE8770000-00007FFEE89D4000 d3d11.dll   	6.2.19041.1202
00007FFEE3550000-00007FFEE44A9000 igd10iumd64.dll	20.19.15.5171
00007FFEECC60000-00007FFEECC87000 ncrypt.dll  	6.2.19041.662
00007FFEECC20000-00007FFEECC5B000 NTASN1.dll  	6.2.19041.546
00007FFEBE3F0000-00007FFEBE41E000 qwindowsvistastyle.dll	5.12.12.0
00007FFEC6310000-00007FFEC6321000 qsvgicon.dll	5.12.12.0
00007FFECF420000-00007FFECF45E000 dataexchange.dll	6.2.19041.1387
00007FFEE7950000-00007FFEE7B51000 twinapi.appcore.dll	6.2.19041.964
00007FFEC54F0000-00007FFEC5502000 exchndl.dll 	0.9.5.0
00007FFEEF140000-00007FFEEF148000 PSAPI.DLL   	6.2.19041.546
00007FFEBD560000-00007FFEBD5DF000 mgwhelp.dll 	0.9.5.0
00007FFEB4EE0000-00007FFEB50D3000 dbghelp.dll 	10.0.17763.1
00007FFEBE060000-00007FFEBE08A000 dbgcore.DLL 	10.0.17763.1
00007FFEECB40000-00007FFEECB58000 CRYPTSP.dll 	6.2.19041.546
00007FFEEC260000-00007FFEEC294000 rsaenh.dll  	6.2.19041.1052
00007FFEE0160000-00007FFEE016E000 kimg_hdr.dll
00007FFEDFF00000-00007FFEDFF0D000 kimg_kra.dll
00007FFEB67A0000-00007FFEB67D8000 libKF5Archive.dll
0000000063CC0000-0000000063CED000 liblzma.dll 	5.2.5.0
00007FFEDB960000-00007FFEDB96C000 kimg_ora.dll
00007FFEDA900000-00007FFEDA90F000 kimg_pcx.dll
00007FFED36C0000-00007FFED36D0000 kimg_pic.dll
00007FFED1200000-00007FFED120D000 kimg_psd.dll
00007FFED0E30000-00007FFED0E3E000 kimg_ras.dll
00007FFEC4410000-00007FFEC4421000 kimg_rgb.dll
00007FFED0B60000-00007FFED0B6D000 kimg_tga.dll
00007FFEC40A0000-00007FFEC40BB000 kimg_xcf.dll
00007FFEC38B0000-00007FFEC38C1000 qgif.dll    	5.12.12.0
00007FFEC2CE0000-00007FFEC2CF2000 qicns.dll   	5.12.12.0
00007FFEC1FD0000-00007FFEC1FE1000 qico.dll    	5.12.12.0
00007FFEB4E60000-00007FFEB4ED4000 qjpeg.dll   	5.12.12.0
00007FFECF990000-00007FFECF99F000 qsvg.dll    	5.12.12.0
00007FFEBD8D0000-00007FFEBD8E2000 qtiff.dll   	5.12.12.0
00007FFEB4DE0000-00007FFEB4E5A000 libtiff.dll
00007FFEB4D60000-00007FFEB4DDC000 libjpeg-62.dll
00007FFECE6B0000-00007FFECE6BE000 qwbmp.dll   	5.12.12.0
00007FFEB4CA0000-00007FFEB4D53000 qwebp.dll   	5.12.12.0
00007FFEDE900000-00007FFEDE9F9000 textinputframework.dll	6.2.19041.1503
00007FFEE95F0000-00007FFEE994E000 CoreUIComponents.dll	6.2.19041.546
00007FFEE9CD0000-00007FFEE9DC2000 CoreMessaging.dll	6.2.19041.746
00007FFEEBE90000-00007FFEEBEC3000 ntmarta.dll 	6.2.19041.546
00007FFEE8610000-00007FFEE8764000 wintypes.dll	6.2.19041.1348
00007FFEB6910000-00007FFEB6923000 krita_shape_image.dll
00007FFEB6740000-00007FFEB6793000 krita_shape_paths.dll
00007FFEAB5B0000-00007FFEAC469000 kritalcmsengine.dll
00007FFEB66D0000-00007FFEB66E6000 liblcms2_fast_float.dll
00007FFEB4C30000-00007FFEB4C94000 liblcms2.dll
00007FFEB66A0000-00007FFEB66CC000 krita_colorspaces_extensions.dll
00007FFEB4C10000-00007FFEB4C26000 kritaasccdl.dll
00007FFEB4BE0000-00007FFEB4C01000 kritablurfilter.dll
00007FFEB4B90000-00007FFEB4BD2000 kritacolorsfilters.dll
00007FFEB4B70000-00007FFEB4B86000 kritaconvertheighttonormalmap.dll
00007FFEB4B50000-00007FFEB4B62000 kritaconvolutionfilters.dll
00007FFEAB590000-00007FFEAB5A2000 kritadodgeburn.dll
00007FFEAB570000-00007FFEAB584000 kritaedgedetection.dll
00007FFECDD30000-00007FFECDD3F000 kritaembossfilter.dll
00007FFEAB550000-00007FFEAB561000 kritaexample.dll
00007FFEAB530000-00007FFEAB548000 kritaextensioncolorsfilters.dll
00007FFEAB510000-00007FFEAB524000 kritafastcolortransferfilter.dll
00007FFEAB4F0000-00007FFEAB506000 kritagaussianhighpassfilter.dll
00007FFEAB4D0000-00007FFEAB4F0000 kritagradientmap.dll
00007FFEAB490000-00007FFEAB4C4000 kritahalftone.dll
00007FFEAB470000-00007FFEAB48A000 kritaimageenhancement.dll
00007FFEAB450000-00007FFEAB46C000 kritaindexcolors.dll
00007FFEAB420000-00007FFEAB44E000 kritalevelfilter.dll
00007FFEAB400000-00007FFEAB415000 kritanoisefilter.dll
00007FFEAB3E0000-00007FFEAB3F2000 kritanormalize.dll
00007FFEAB3C0000-00007FFEAB3D5000 kritaoilpaintfilter.dll
00007FFEAB390000-00007FFEAB3B1000 kritapalettize.dll
00007FFEAB360000-00007FFEAB381000 kritaphongbumpmap.dll
00007FFEAB340000-00007FFEAB354000 kritapixelizefilter.dll
00007FFEAB320000-00007FFEAB333000 kritaposterize.dll
00007FFECDBD0000-00007FFECDBE0000 kritaraindropsfilter.dll
00007FFEAB300000-00007FFEAB316000 kritarandompickfilter.dll
00007FFEAB2E0000-00007FFEAB2F4000 kritaroundcornersfilter.dll
00007FFEAB2C0000-00007FFEAB2D2000 kritasmalltilesfilter.dll
00007FFEAB2A0000-00007FFEAB2B7000 kritathreshold.dll
00007FFEAB280000-00007FFEAB293000 kritaunsharpfilter.dll
00007FFEAB260000-00007FFEAB279000 kritawavefilter.dll
00007FFEAB240000-00007FFEAB255000 kritacolorgenerator.dll
00007FFEAB210000-00007FFEAB235000 kritagradientgenerator.dll
00007FFEAB1E0000-00007FFEAB201000 kritamultigridpatterngenerator.dll
00007FFEAB1C0000-00007FFEAB1DE000 kritapatterngenerator.dll
00007FFEAB080000-00007FFEAB1B9000 kritascreentonegenerator.dll
00007FFEAAFC0000-00007FFEAB07F000 kritaseexprgenerator.dll
00007FFEAAFA0000-00007FFEAAFBB000 kritasimplexnoisegenerator.dll
00007FFEAAF30000-00007FFEAAF93000 kritacolorsmudgepaintop.dll
00007FFEAADF0000-00007FFEAAF26000 libkritalibpaintop.dll
00007FFEAADC0000-00007FFEAADE9000 kritacurvepaintop.dll
00007FFEAAD50000-00007FFEAADB5000 kritadefaultpaintops.dll
00007FFEAAD10000-00007FFEAAD43000 kritadeformpaintop.dll
00007FFEAACE0000-00007FFEAAD09000 kritaexperimentpaintop.dll
00007FFEAACB0000-00007FFEAACD7000 kritafilterop.dll
00007FFEAAC80000-00007FFEAACA3000 kritagridpaintop.dll
00007FFEAAC50000-00007FFEAAC7F000 kritahairypaintop.dll
00007FFEAAC10000-00007FFEAAC47000 kritahatchingpaintop.dll
00007FFEAABA0000-00007FFEAAC0F000 kritamypaintop.dll
00007FFEAAB70000-00007FFEAAB91000 libmypaint.dll
00007FFEAAB50000-00007FFEAAB65000 libjson-c.dll
00007FFEAAB20000-00007FFEAAB48000 kritaparticlepaintop.dll
00007FFEAAAF0000-00007FFEAAB12000 kritaroundmarkerpaintop.dll
00007FFEAAAC0000-00007FFEAAAEE000 kritasketchpaintop.dll
00007FFEAAA50000-00007FFEAAAB5000 kritaspraypaintop.dll
00007FFEAAA20000-00007FFEAAA47000 kritatangentnormalpaintop.dll
00007FFEAA9C0000-00007FFEAAA13000 krita_flaketools.dll
00007FFEAA990000-00007FFEAA9B7000 krita_karbontools.dll
00007FFEAA950000-00007FFEAA98F000 krita_tool_svgtext.dll
00007FFEAA8E0000-00007FFEAA942000 kritaassistanttool.dll
00007FFEAA850000-00007FFEAA8DD000 kritadefaulttools.dll
00007FFEAA830000-00007FFEAA849000 libkritabasicflakes.dll
00007FFEAA790000-00007FFEAA82E000 kritaselectiontools.dll
00007FFEAA760000-00007FFEAA788000 kritatoolSmartPatch.dll
00007FFEAA730000-00007FFEAA759000 kritatoolcrop.dll
00007FFEAA710000-00007FFEAA725000 kritatooldyna.dll
00007FFEAA6D0000-00007FFEAA708000 kritatoolencloseandfill.dll
00007FFEAA6A0000-00007FFEAA6C5000 kritatoollazybrush.dll
00007FFEAA680000-00007FFEAA693000 kritatoolpolygon.dll
00007FFEAA660000-00007FFEAA672000 kritatoolpolyline.dll
00007FFEAA500000-00007FFEAA65B000 kritatooltransform.dll
00007FFEAA440000-00007FFEAA4F3000 kritaanimationdocker.dll
00007FFEAA420000-00007FFEAA436000 kritaarrangedocker.dll
00007FFEAA3F0000-00007FFEAA41D000 kritaartisticcolorselector.dll
00007FFEAA3D0000-00007FFEAA3ED000 kritachanneldocker.dll
00007FFEAA360000-00007FFEAA3CA000 kritacolorselectorng.dll
00007FFEAA340000-00007FFEAA35F000 kritacompositiondocker.dll
00007FFEAA320000-00007FFEAA336000 kritadigitalmixer.dll
00007FFEAA2F0000-00007FFEAA315000 kritagamutmask.dll
00007FFEAA2D0000-00007FFEAA2EA000 kritagriddocker.dll
00007FFEAA2B0000-00007FFEAA2C8000 kritahistogramdocker.dll
00007FFEAA290000-00007FFEAA2A9000 kritahistorydocker.dll
00007FFEAA240000-00007FFEAA286000 kritalayerdocker.dll
00007FFEAA220000-00007FFEAA239000 kritalogdocker.dll
00007FFEAA1F0000-00007FFEAA21B000 kritalutdocker.dll
00007FFEA9E00000-00007FFEAA1E1000 libOpenColorIO_2_1.dll
00007FFEA9DC0000-00007FFEA9DF6000 libexpat.dll	2.4.7.0
00007FFEA9DA0000-00007FFEA9DBB000 kritaoverviewdocker.dll
00007FFEA9D80000-00007FFEA9D9A000 kritapalettedocker.dll
00007FFECC590000-00007FFECC5A0000 kritapatterndocker.dll
00007FFEA9D60000-00007FFEA9D71000 kritapresetdocker.dll
00007FFEA9D40000-00007FFEA9D58000 kritapresethistory.dll
00007FFEA9CF0000-00007FFEA9D34000 kritarecorderdocker.dll
00007FFEA9CD0000-00007FFEA9CEF000 kritasmallcolorselector.dll
00007FFEA9CB0000-00007FFEA9CC9000 kritasnapshotdocker.dll
00007FFEA9C90000-00007FFEA9CAB000 kritaspecificcolorselector.dll
00007FFEA9C20000-00007FFEA9C81000 kritastoryboarddocker.dll
00007FFEA9C00000-00007FFEA9C15000 kritasvgcollectiondocker.dll
00007FFEA9BE0000-00007FFEA9BF9000 kritatasksetdocker.dll
00007FFEA9BC0000-00007FFEA9BD8000 kritatouchdocker.dll
00007FFEA9BA0000-00007FFEA9BB7000 Qt5QuickWidgets.dll	5.12.12.0
00007FFEA9AB0000-00007FFEA9B9E000 libkritaqml.dll
00007FFEA9700000-00007FFEA9AB0000 Qt5Quick.dll	5.12.12.0
00007FFEA92F0000-00007FFEA96F2000 Qt5Qml.dll  	5.12.12.0
00007FFEA92C0000-00007FFEA92EA000 kritaexif.dll
00007FFEA9070000-00007FFEA92B9000 libexiv2.dll
00007FFEA9050000-00007FFEA9069000 libwinpthread-1.dll	1.0.0.0
00007FFEA9020000-00007FFEA9042000 kritaiptc.dll
00007FFEA9000000-00007FFEA901B000 kritaxmp.dll
00007FFEA8E90000-00007FFEA8FF6000 qsqlite.dll 	5.12.12.0
00007FFEA8E70000-00007FFEA8E84000 qgenericbearer.dll	5.12.12.0
00007FFEE2380000-00007FFEE2397000 dhcpcsvc6.DLL	6.2.19041.546
00007FFEE2320000-00007FFEE233D000 dhcpcsvc.DLL	6.2.19041.546
00007FFED0AA0000-00007FFED0AC4000 edputil.dll 	6.2.19041.546
00007FFEA8E50000-00007FFEA8E65000 kritabuginfo.dll
00007FFEA8E30000-00007FFEA8E49000 kritaclonesarray.dll
00007FFEA8E10000-00007FFEA8E2C000 kritacolorrange.dll
00007FFEA8DF0000-00007FFEA8E07000 kritacolorspaceconversion.dll
00007FFEA8DD0000-00007FFEA8DEB000 kritadbexplorer.dll
00007FFEA8DB0000-00007FFEA8DCD000 kritaimagesplit.dll
00007FFEA8D90000-00007FFEA8DA2000 kritalayergroupswitcher.dll
00007FFEA8D70000-00007FFEA8D8E000 kritalayersplit.dll
00007FFEA8D40000-00007FFEA8D6D000 kritametadataeditor.dll
00007FFEA8D20000-00007FFEA8D38000 kritamodifyselection.dll
00007FFEA8D00000-00007FFEA8D1D000 kritaoffsetimage.dll
00007FFECBDB0000-00007FFECBDBE000 kritaqmic.dll
00007FFEA8CC0000-00007FFEA8CF5000 libkritaqmicinterface.dll
00007FFEA8C70000-00007FFEA8CBC000 kritaresourcemanager.dll
00007FFEA8C50000-00007FFEA8C68000 kritarotateimage.dll
00007FFEA8C30000-00007FFEA8C4C000 kritaseparatechannels.dll
00007FFEA8C10000-00007FFEA8C21000 kritashearimage.dll
00007FFEA8BF0000-00007FFEA8C08000 kritawaveletdecompose.dll
00007FFEA8BC0000-00007FFEA8BE5000 kritapykrita.dll
00007FFEA86E0000-00007FFEA878E000 libkritalibkis.dll
00007FFEA8790000-00007FFEA8BBC000 python38.dll	3.8.1150.1013
00007FFEA86C0000-00007FFEA86D5000 VCRUNTIME140.dll	14.16.27012.6
00007FFEA8640000-00007FFEA86BA000 krita.pyd
00007FFEA8610000-00007FFEA8631000 sip.cp38-win_amd64.pyd
00007FFEA8390000-00007FFEA860B000 QtCore.pyd
00007FFEA8100000-00007FFEA8390000 QtGui.pyd
00007FFEA7B20000-00007FFEA80F9000 QtWidgets.pyd
00007FFEA7AE0000-00007FFEA7B20000 QtXml.pyd
00007FFEA7AC0000-00007FFEA7AD7000 _bz2.pyd    	3.8.1150.1013
00007FFEA7A80000-00007FFEA7AC0000 _lzma.pyd   	3.8.1150.1013
00007FFEA7A50000-00007FFEA7A7D000 _elementtree.pyd	3.8.1150.1013
00007FFEA7A10000-00007FFEA7A41000 pyexpat.pyd 	3.8.1150.1013
00007FFEC4F20000-00007FFEC4F2D000 _hashlib.pyd	3.8.1150.1013
00007FFEA76C0000-00007FFEA7A02000 libcrypto-1_1.dll	1.1.1.4
00007FFEA76A0000-00007FFEA76B6000 _socket.pyd 	3.8.1150.1013
00007FFEC4070000-00007FFEC4079000 select.pyd  	3.8.1150.1013
00007FFEA7680000-00007FFEA76A0000 _ssl.pyd    	3.8.1150.1013
00007FFEA75D0000-00007FFEA767B000 libssl-1_1.dll	1.1.1.4
00007FFEA75B0000-00007FFEA75C2000 _asyncio.pyd	3.8.1150.1013
00007FFEC0840000-00007FFEC084D000 _overlapped.pyd	3.8.1150.1013
00007FFEEC950000-00007FFEEC9BA000 mswsock.dll 	6.2.19041.546
00007FFEE8230000-00007FFEE8326000 PROPSYS.dll 	7.0.19041.1023
00007FFEBFE50000-00007FFEBFE5D000 qtquick2plugin.dll	5.12.12.0
00007FFEA74F0000-00007FFEA75A7000 kritasketchplugin.dll
00007FFEA7090000-00007FFEA74EC000 d3dcompiler_47.dll	10.0.19041.685
00007FFED8750000-00007FFED89EA000 comctl32.dll	6.10.19041.1110
00007FFEE7C10000-00007FFEE7DC4000 WindowsCodecs.dll	6.2.19041.1151
00007FFECF0B0000-00007FFECF116000 thumbcache.dll	6.2.19041.1151
00007FFEE5120000-00007FFEE51C0000 policymanager.dll	6.2.19041.1387
00007FFEEC2F0000-00007FFEEC37A000 msvcp110_win.dll	6.2.19041.546
00007FFEC3A50000-00007FFEC3ABC000 symsrv.dll  	10.0.17763.1

Windows 6.2.9200
DrMingw 0.9.5
Comment 2 Halla Rempt 2022-06-23 13:03:39 UTC
Yes, that's absolutely the same crash.
Comment 3 Dmitry Kazakov 2022-06-30 11:54:19 UTC
Git commit 279bf5c7f9178e58f9e53cd2564b7bf33e27f12d by Dmitry Kazakov.
Committed on 30/06/2022 at 11:53.
Pushed by dkazakov into branch 'master'.

Fix a crash when trying to filter an active selection

The problem happens when the selection gets converted from a vector
form into a raster one as a part of the filter stroke. Then cancelling
the stroke recovers an old datamanager and, potentially, removes the
temporary one.

Now this datamanager removal is done in a safe way via the GUI thread,
like the shape selection.

M  +30   -16   libs/image/kis_selection.cc

https://invent.kde.org/graphics/krita/commit/279bf5c7f9178e58f9e53cd2564b7bf33e27f12d
Comment 4 Dmitry Kazakov 2022-06-30 11:54:57 UTC
Git commit fbae7217aab18d8cd9ed5fc1486a1dfa5a548d01 by Dmitry Kazakov.
Committed on 30/06/2022 at 11:54.
Pushed by dkazakov into branch 'krita/5.1'.

Fix a crash when trying to filter an active selection

The problem happens when the selection gets converted from a vector
form into a raster one as a part of the filter stroke. Then cancelling
the stroke recovers an old datamanager and, potentially, removes the
temporary one.

Now this datamanager removal is done in a safe way via the GUI thread,
like the shape selection.

M  +30   -16   libs/image/kis_selection.cc

https://invent.kde.org/graphics/krita/commit/fbae7217aab18d8cd9ed5fc1486a1dfa5a548d01